---
lang: en
title: 'API docs: metadata.metadataaccessor.create'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.metadataaccessor.create.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [MetadataAccessor](./metadata.metadataaccessor.md) &gt; [create](./metadata.metadataaccessor.create.md)

## MetadataAccessor.create() method

Create a strongly-typed metadata accessor

<b>Signature:</b>

```typescript
static create<V, DT extends DecoratorType>(key: string): MetadataAccessor<V, DT>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | string | The metadata key |

<b>Returns:</b>

[MetadataAccessor](./metadata.metadataaccessor.md)<!-- -->&lt;V, DT&gt;


